List:Commits« Previous MessageNext Message »
From:Joerg Bruehe Date:March 27 2009 12:13pm
Subject:bzr commit into mysql-6.0 branch (joerg:2751)
View as plain text  
#At file:///MySQL/REPO/V60/push-6.0/ based on revid:joerg@stripped

 2751 Joerg Bruehe	2009-03-27 [merge]
      Merge the fix to "mysql_install_db" with the merge from main.

    modified:
      scripts/mysql_install_db.sh
=== modified file 'scripts/mysql_install_db.sh'
--- a/scripts/mysql_install_db.sh	2009-01-24 21:18:12 +0000
+++ b/scripts/mysql_install_db.sh	2009-03-26 20:53:54 +0000
@@ -358,9 +358,15 @@ do
     mkdir -p $dir
     chmod 700 $dir
   fi
-  if test -w / -a ! -z "$user"
+  if test -n "$user"
   then
     chown $user $dir
+    if test $? -ne 0
+    then
+      echo "Cannot change ownership of the database directories to the '$user'"
+      echo "user.  Check that you have the necessary permissions and try again."
+      exit 1
+    fi
   fi
 done
 


Attachment: [text/bzr-bundle] bzr/joerg@mysql.com-20090327121158-mxeeis6snoi0mk8u.bundle
Thread
bzr commit into mysql-6.0 branch (joerg:2751)Joerg Bruehe27 Mar